API Reference
Add person information
/v1/retail/person_info https://api.cable.tech Retail endpoint for adding new person information
Authentication
- API key in the x-api-key header
Request body
Request body for adding information about persons
-
idstring requiredUnique external identifier of the person entity, ID stored in your database / back-office
Limits
min length 1 -
timestampstring requiredOriginal timestamp relating to this person entity creation/change
Format
date-time -
is_test_userboolean requiredIf the person is a test user, this should be set to true
Default
false -
dataobject required-
namestringThe provided full name of the person
Example
Alex Nguyen -
first_namestringThe provided first name of the person
Example
Alex -
last_namestringThe provided last name of the person
Example
Nguyen -
emailstringContact email for the person
Example
[email protected] -
addressobjectLegal/contact address for the entity
-
lineslist of stringsLimits
min items 1Example
160 Kemp House, City Road -
citystringExample
London -
statestringExample
New York -
countystringExample
Buckinghamshire -
postal_codestringExample
EC1V 2NX -
countrystringExample
France
-
-
phone_numberstringContact telephone number for the person
Example
+441234567899 -
date_of_birthstringFormat
dateExample
1945-03-22 -
nationalitystring2 or 3 Character ISO 3166 Country Code (https://w.wiki/4rY)
Example
NPL -
occupationstringPrimary occupation of the individual
Example
Plumber -
first_transaction_completed_atstringOriginal timestamp of when the person completed their first transaction
Format
date-time -
national_identification_numberobject-
typestring requiredType of national identification number
-
valuestring requiredNational identification number
-
-
product_typestringLimits
min length 1 -
customobjectCustom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.
-
Responses
200 Operation success
-
successboolean requiredYou probably did something wrong if you set this to false
Default
true
Errors
- default Operation error
-
codestring required -
messagestring required -
dataobject